apiVersion: v1
kind: Service
metadata:
  name: {{ include "novnc.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "novnc.name" . }}
    helm.sh/chart: {{ include "novnc.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: 6080
      protocol: TCP
      name: http
  selector:
    app.kubernetes.io/name: {{ include "novnc.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
